use crate::logic::ENPCInteraction;

use super::*;

pub async fn on_run_event_graph(
    session: &NetSession,
    _player: &mut Player,
    req: RunEventGraphCsReq,
) -> NetResult<RunEventGraphScRsp> {
    session
        .notify(UpdateEventGraphScNotify {
            owner_type: req.owner_type,
            tag: req.tag,
            ddiamibnibg: req.ddiamibnibg,
            npc_interaction: ENPCInteraction::OnInteract.to_string(),
            ppabhkhbalm: true,
            gainclnemhc: req.owner_id,
            ..Default::default()
        })
        .await?;

    Ok(RunEventGraphScRsp {
        retcode: Retcode::RetSucc.into(),
    })
}
